class ChangeProcessor

  def process(change)
    if change['o'] == 'M' && change.include?('sv')
      change['v'].each do |key|
        handler = :"on_change_#{key}"
        self.send handler, change['d'][key] if self.respond_to?(handler)
      end
    end
  end
end
